Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentTransactionValue

    java.lang.Object
      com.beasys.commerce.foundation.SmartValue
          com.beasys.commerce.ebusiness.payment.PaymentTransactionValue

All Implemented Interfaces
  Serializable

Deprecated

    @Deprecated
    public class PaymentTransactionValue

extends SmartValue

A value object for the PaymentTransaction Entity EJB. The PaymentTransactionValue contains a copy of all of the public attributes of the PaymentTransaction. It is used by the getPaymentTransactionByValue method to retrieve all of the attributes with a single method invocation.

See Also
  `PaymentTransaction`, `PaymentTransaction.getPaymentTransactionByValue()`, `PaymentTransaction.setPaymentTransactionByValue(PaymentTransactionValue)`, Serialized Form

Field Summary
`String` | `batchId` Deprecated The batchId attribute is populated after a batch-commit request for the transaction has returned successfully.
`com.beasys.commerce.axiom.contact.CreditCard` | `creditCard` Deprecated The credit card information associated with this transaction.
`WorkflowContext` | `status` Deprecated The current state of the Payment Transaction as governed by the `PaymentWorkflow`
`Price` | `transactionAmount` Deprecated The amount of the transaction that remains outstanding.
`Date` | `transactionDate` Deprecated The date of the transaction.
`Collection` | `transactionEntry` Deprecated A history of the modifications to this transaction.
`String` | `transactionId` Deprecated The transaction identifier and primary key of the PaymentTransaction.

Constructor Summary
`protected` | `PaymentTransactionValue()` Deprecated Only get/setPaymentTransactionByValue methods are allowed to call this constructor.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transactionId

    public String transactionId

  Deprecated
  The transaction identifier and primary key of the PaymentTransaction.

### creditCard

    public com.beasys.commerce.axiom.contact.CreditCard creditCard

  Deprecated
  The credit card information associated with this transaction.

### transactionDate

    public Date transactionDate

  Deprecated
  The date of the transaction.

### transactionEntry

    public Collection transactionEntry

  Deprecated
  A history of the modifications to this transaction.

### batchId

    public String batchId

  Deprecated
  The batchId attribute is populated after a batch-commit request for the transaction has returned successfully. It is then used to query the Payment Service for the results of a settled transaction.

### status

    public WorkflowContext status

  Deprecated
  The current state of the Payment Transaction as governed by the `PaymentWorkflow`

### transactionAmount

    public Price transactionAmount

  Deprecated
  The amount of the transaction that remains outstanding.

Constructor Detail

### PaymentTransactionValue

    protected PaymentTransactionValue()

  Deprecated
  Only get/setPaymentTransactionByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.